<!DOCTYPE html>
<html lang="en">
<head>
  <title>Project settings report</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <link rel="stylesheet" href="css/bootstrap-table.min.css">
  <script src="js/jquery-3.4.1.min.js"></script>
  <script src="js/popper.min.js"></script>
  <script src="js/bootstrap.min.js"></script>
  <script src="js/bootstrap-table.min.js"></script>
  <script src="js/bootstrap-table-filter-control.min.js"></script>
</head>
<body>

<%def name="makerow(project)">
    <tr>
    % for field in fields:
        %if field in project:
          <td>${project[field]}</td>
        %else:
          <td></td>
        %endif
    % endfor
    </tr>
</%def>

<div id="heading" class="container-fluid text-white" style="background-color: #292961">
  <h2><img style="height: 58px" src="assets/gitlab-logo-white-rgb.svg"/>Project settings report</h2>
</div>

<div class="container-fluid my-3">
  <h3>
    <a class="btn btn-primary float-right mx-2" href="projects_report.csv" download="projects_report.csv">Download CSV</a>
  </h3>
</div>

<div class="container-fluid">
    <table class="table-hover table-striped" data-show-columns-toggle-all="true" data-show-extended-pagination="true" data-pagination="true" data-show-columns="true" data-show-columns-search="true" data-toggle="table" data-filter-control="true">
      <thead>
        <tr>
          %for field in fields:
            <th data-sortable="true" scope="col" data-filter-control="input">${field}</th>
          %endfor
        </tr>
      </thead>
      <tbody>
        %for project in projects:
          ${makerow(project)}
        %endfor
      </tbody>
    </table>
</div>
</body>
</html>

